## Prerequisite
- enable hyper-v on windows
- install docker for desktop on windows 
- go to icon tray on windows and right click on docker icon, then click on 'settings'
- on the settings window, open the 'Daemon' tab and turn on 'advanced' option
- a configuration setting as bellow must be openned in the Daemon Tab:

```
{
  "registry-mirrors": [],
  "insecure-registries": [],
  "debug": true,
  "experimental": false
}
```

change it to the following and click on apply button on the Daemon Tab:

```
{
  "registry-mirrors": [],
  "insecure-registries": [
    "repo.marcopacs.com"
  ],
  "debug": true,
  "experimental": false
}
```

- go to icon tray on windows and right click on docker icon, then click on option 'switch to windows containers...' 


## Installation Guide

-  create a folder in the production server for example in the drive C(ex: c:/build)

-  navigate to created folder in previous step and create a file called docker-compose.yml (ex: c:/build/docker-compose.yml)

- open docker-compose.yml with an editor and paste following statements in the created docker compose file
    * please consider that "worklistUrl" is the ip of worklist services for fetching and editing worklists
    * if the worklist services have been deployed in a container, "worklistUrl" must be container_name of worklist in docker

```
version: '3'
services:
  app:
    container_name: karname-app
    restart: always
    image: repo.marcopacs.com/karname/karname-app
    ports:
      - '80:3000'
    depends_on:
      - mongo
    links: 
      - mongo
    environment:
      ROOT_URL: ${APP_ROOT_URL:-http://localhost}
      MONGO_URL: mongodb://mongo:27017/karname
      PORT: 3000
      METEOR_SETTINGS: '{"worklistUrl":"http://karname-broker"}'
  mongo:
    image: repo.marcopacs.com/karname/mongo-windows
    volumes:
      - C:\data\db:C:\data\db
volumes:
  data:
networks:
  default:
    external:
      name: nat
```

- navigate to Drive C and create a folder called "data"

- navigate to C:/data and create a folder called "db"

- open CMD

- CD to created folder in step 1 (ex: cd C:/build)

- login into repo.marcopacs.com with following command:

    docker login -u username -p password repo.marcopacs.com


- run following command: 

    docker-compose up -d --force-recreate

-  goto localhost